pxfw(8)

NAME
pxfw - Firmware flashing tool for Plextor CD/DVD devices

SYNOPSIS
pxfw -l
pxfw -d DEVICE [-if firmware.bin] [-u] [-f] [-v]
pxfw -d DEVICE [-e] [-r] [-t] [-v]

DESCRIPTION
pxfw is the linux firmware flasher for Plextor CD and DVD drives. Remove any disks before flashing.

FEATURES
You can flash the firmware of these drives:
Plextor Premium, Premium-2, PX-712, PX-716, PX-755 and PX-760.

DEVICE
can be an IDE, SCSI, SATA, USB or FireWire connected optical drive. Not all SATA controller support all Plextor features.

Linux:
/dev/hdX: IDE device
/dev/scdX: Linux 2.4: SATA, SCSI, USB device, or IDE device via ide-scsi emulation
/dev/srX: Linux 2.6: IDE device via new ATA layer, SCSI or USB device

OpenBSD/NetBSD:
/dev/rcdX

FreeBSD:
/dev/cd: SCSI device
/dev/acd: ATA device

MacOS X:
/dev/disk:

win32:
C:,D:,E:, ... X:,Y:,Z:

OPTIONS

-l scan busses for all available CD and DVD devices

-if select inputfile. Specify the firmware binary file, which should
     be written to DEVICE.

-u proceed update. When the firmware checksum test has succeeded,
     write firmware to DEVICE.

-f force flashing. Even if DEVICE is not recognized, or firmware.
     checksum has failed, firmware writing will be forced.
     Handle with care.

-e read EEPROM from DEVICE.

-r reboot the device.

-t test which opcodes are supported by the device.

-v debug.

EXAMPLES
pxfw -d /dev/hdc -if 755_1.07.bin -u
writes firmware file 755_1.07.bin into Master Drive on Secondary IDE-Port.

pxfw -d /dev/sr3 -e -oe file.foo
reades EEPROM from device /dev/sr3 and writes it to file.foo. please report man page improvements to T.Maguin@web.de